MATLAB and Simulink Requirements

Versions of Python Compatible with MATLAB Products by Release

The table gives the Python versions which are compatible with the MATLAB Interface to Python, MATLAB Engine for Python, and MATLAB Compiler SDK for Python. See Note below for the Python Client Library for MATLAB Production Server.

Note: As of MATLAB R2023a, Python 2.x is no longer supported.

Release MATLAB Interface
MATLAB Engine
MATLAB Compiler SDK MATLAB Production Server Client Library

R2024a

3.9, 3.10, 3.11 3.9, 3.10, 3.11 3.9, 3.10, 3.11

R2023b

3.9, 3.10, 3.11 3.9, 3.10, 3.11 3.9, 3.10, 3.11

R2023a

3.8, 3.9, 3.10 3.8, 3.9, 3.10 3.8, 3.9, 3.10

R2022b

2.7, 3.8, 3.9, 3.10 2.7, 3.8, 3.9, 3.10 3.8, 3.9, 3.10

R2022a

2.7, 3.8, 3.9 2.7, 3.8, 3.9 2.7, 3.8, 3.9

R2021b

2.7, 3.7, 3.8, 3.9 2.7, 3.7, 3.8, 3.9 2.7, 3.7, 3.8, 3.9

R2021a

2.7, 3.7, 3.8 2.7, 3.7, 3.8 2.7, 3.7, 3.8

R2020b

2.7, 3.6, 3.7, 3.8 2.7, 3.6, 3.7, 3.8 2.7, 3.6, 3.7, 3.8

R2020a

2.7, 3.6, 3.7 2.7, 3.6, 3.7 2.7, 3.6, 3.7

R2019b

2.7, 3.6, 3.7 2.7, 3.6, 3.7 2.7

R2019a

2.7, 3.5, 3.6, 3.7 2.7, 3.5, 3.6, 3.7 2.7

R2018b

2.7, 3.5, 3.6 2.7, 3.5, 3.6 2.7

R2018a

2.7, 3.5, 3.6 2.7, 3.5, 3.6 2.7

R2017b

2.7, 3.4, 3.5, 3.6 2.7, 3.4, 3.5, 3.6 2.7

R2017a

2.7, 3.4, 3.5 2.7, 3.4, 3.5 2.7

R2016b

2.7, 3.3, 3.4, 3.5 2.7, 3.3, 3.4, 3.5 2.7

R2016a

2.7, 3.3, 3.4 2.7, 3.3, 3.4 2.7

R2015a

2.7, 3.3, 3.4 2.7, 3.3, 3.4 -

R2015b

2.7, 3.3, 3.4 - -

R2014b

2.7 - -